.TH AT 1 "Original: December 15, 1986 - Updated: November 27, 2000" 
.UC 4
.SH NAME
display \- repeat a command through curses for minimal update
.SH SYNOPSIS
display [-<delay>] <command>
.SH DESCRIPTION
.I Display
repeatedly executes a shell command, sending the output through
.IR curses (3X)
to cause only the portions of the output which have changed from
one execution to the next to be redrawn.
.I command
must be quoted if it contains blanks or other special characters.
.I delay
is the number of seconds to suspend between updates; the default is 5.
.I Display
now updates on any keystroke other than "q" or "Q" (either of which will
cause it to exit cleanly). Such a keystroke will also clear the rest of the 
screen of garbage. A loop counter and the current system time are updated
at the bottom of the screen. The program will only attempt to display 
(LINES - 1) lines of output from the program being followed; the rest 
are ignored.
.SH EXAMPLES
.sp 1
display -10 "date; echo ' '; uusnap; echo ' '; mailq"
.PP
This provides a dynamic 'UUCP status watch' for BSD systems.  If anyone
figures out a non-nightmarish csh alias for something with both kinds of
quotes in it, please send mail.
.fi
.SH "SEE ALSO"
popen(3),
curses(3X),
sh(1)
.SH DIAGNOSTICS
Moderately informative usage message if you run it with a bad command line.
.SH BUGS
.IR Popen (3)
always executes the command through
.IR sh (1)
.PP
Holding a key down while using
.I display
to show the results of some CPU intensive process will probably 
make your system quite busy....
.SH ORIGINAL AUTHOR
.nf
Paul Vixie
{ptsfa,qantel,crash,winfree}!vixie!paul
{now likely to be http://www.vix.com}

Keystroke stuff added by:

Dave Remien
{olden times email - uunet!pmafire!dave}
{now - dremien@ipsmart.com}